<?xml version="1.0" encoding="UTF-8"?>
<mappings xmlns="http://dozer.sourceforge.net"
	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xsi:schemaLocation="http://dozer.sourceforge.net http://dozer.sourceforge.net/schema/beanmapping.xsd">
	
	<mapping type="bi-directional" wildcard="false">
		<class-a>com.zebrunner.reporting.domain.dto.widget.WidgetDTO</class-a>
		<class-b>com.zebrunner.reporting.domain.entity.DashboardWidget</class-b>
		<field>
			<a>id</a>
			<b>widget.id</b>
		</field>
		<field>
			<a>title</a>
			<b>widget.title</b>
		</field>
		<field>
			<a>description</a>
			<b>widget.description</b>
		</field>
		<field>
			<a>paramsConfig</a>
			<b>widget.paramsConfig</b>
		</field>
		<field>
			<a>legendConfig</a>
			<b>widget.legendConfig</b>
		</field>
		<field>
			<a>widgetTemplate</a>
			<b>widget.widgetTemplate</b>
		</field>
		<field>
			<a>type</a>
			<b>widget.type</b>
		</field>
		<field>
			<a>location</a>
			<b>location</b>
		</field>
	</mapping>
</mappings>
